mpd:
- manifest_edit.plugins.mpd.eventstream_value_add:
  #  This plugins covers a very specific use case, where a certain device
  #  would require the presence of a "value" field in an EventStream or
  #  it would crash. (!)
  #
  #  Despite recognizing that "value" is optional and that this behaviour is
  #  clearly faulty on the device side, this plugin seems the
  #  easiest way forward to provide compatibility.
  #
  #  Specifically, this plugin changes
  #
  #  <EventStream
  #   schemeIdUri="urn:scte:scte35:2014:xml+bin"
  #   timescale="1">
  #
  #  to
  #
  #  <EventStream
  #   schemeIdUri="urn:scte:scte35:2014:xml+bin"
  #   value="1"
  #   timescale="1">
  #
  #  Even if the content of "value" seems irrelevant, it is configurable.
  #
  #  Should a "value" field be already present in the manifest, no manipulation
  #  will be done.
    value: "2"
